%global _empty_manifest_terminate_build 0
Name:		python-pallets-sphinx-themes
Version:	2.1.3
Release:	1
Summary:	Sphinx themes for Pallets and related projects.
License:	BSD-3-Clause
URL:		https://github.com/pallets/pallets-sphinx-themes/
Source0:	https://files.pythonhosted.org/packages/source/P/Pallets-Sphinx-Themes/pallets_sphinx_themes-%{version}.tar.gz
BuildArch:	noarch

%description
Themes for the Pallets projects. If you're writing an extension, use the
appropriate theme to make your documentation look consistent.
Available themes:
-   flask
-   jinja
-   werkzeug
-   click

%package -n python3-pallets-sphinx-themes
Summary:	Sphinx themes for Pallets and related projects.
Provides:	python-pallets-sphinx-themes = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools
BuildRequires:	python3-flit-core
Requires:	python3-packaging
Requires:	python3-sphinx
Requires:	python3-importlib-metadata

%description -n python3-pallets-sphinx-themes
Themes for the Pallets projects. If you're writing an extension, use the
appropriate theme to make your documentation look consistent.
Available themes:
-   flask
-   jinja
-   werkzeug
-   click

%package help
Summary:	Development documents and examples for Pallets-Sphinx-Themes
Provides:	python3-pallets-sphinx-themes-doc
%description help
Themes for the Pallets projects. If you're writing an extension, use the
appropriate theme to make your documentation look consistent.
Available themes:
-   flask
-   jinja
-   werkzeug
-   click

%prep
%autosetup -n pallets_sphinx_themes-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pallets-sphinx-themes -f filelist.lst
%license LICENSE.txt
%doc README.md CHANGES.rst
%dir %{python3_sitelib}/*
%{python3_sitelib}/pallets_sphinx_themes/

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 13 2024 yaoxin <yao_xin001@hoperun.com> - 2.1.3-1
- Update to 2.1.3:
  * Allow Sphinx's parallel build feature.
  * Use flit_core instead of setuptools as build backend.
  * Compatibility with changes in Sphinx 7.3.

* Wed Jun 21 2023 chendexi <chendexi@kylinos.cn> - 2.1.1-1
- Update package to version 2.1.1

* Fri May 05 2023 wubijie <wubijie@kylinos.cn> - 2.1.0-1
- Update package to version 2.1.0

* Tue Feb 14 2023 wubijie <wubijie@kylinos.cn> - 2.0.3-1
- Update package to version 2.0.3

* Wed Jun 29 2022 caodongxia <caodongxia@h-partners.com> - 2.0.2-1
- Update to 2.0.2 

* Wed Nov 25 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
